Bug 487177 - Duplicate channels listed in activation keys channel selection boxes after custom channel creation
Duplicate channels listed in activation keys channel selection boxes after cu...
Status: CLOSED WORKSFORME
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
low Severity low
: ---
: ---
Assigned To: Justin Sherrill
Steve Salevan
:
Depends On:
Blocks: 456998
  Show dependency treegraph
 
Reported: 2009-02-24 12:11 EST by Steve Salevan
Modified: 2009-08-27 02:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-10 11:37:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Salevan 2009-02-24 12:11:03 EST
Description of problem:
If a user creates a channel via:

/rhn/channels/manage/Edit.do

and then navigates to the Activation Key creation page:

/rhn/activationkeys/Create.do

then looks inside the 'Base Channels' selector, the selector will contain duplicate entries for all custom channels.

Version-Release number of selected component (if applicable):
530-re20090220.1

How reproducible:
Always

Steps to Reproduce:
1. Create a custom channel at /rhn/channels/manage/Edit.do
2. Navigate to /rhn/activationkeys/Create.do
3. Look inside the 'Base Channels' selector
  
Actual results:
Duplicate entries exist for all custom channels

Expected results:
Only single instances of each custom channel appear in selector

Additional info:
Comment 1 Brandon Perkins 2009-02-24 12:17:25 EST
Feels like Multi-Org.
Comment 2 Justin Sherrill 2009-03-09 12:16:11 EDT
Looks fine to me, Steve are you still able to reproduce with the latest ISO?
Comment 3 Steve Salevan 2009-03-10 11:29:38 EDT
I no longer see this bug, but it appears we have a bit of a reversal of fortune, which I've documented in this bug:

https://bugzilla.redhat.com/show_bug.cgi?id=489522
Comment 4 Brandon Perkins 2009-03-10 11:37:23 EDT
Closing based on Comment #3

Note You need to log in before you can comment on or make changes to this bug.